#!/bin/sh

install() {
	cp -R nano2x/ncurses/ /usr/share
	cp nano2x/arm-gp2x-linux-nano /usr/bin
	cp nano2x/nano2x.install /usr/bin/nano2x
	echo "Done."
	echo "You can remove this and the nano2x directory on you sd card"
}

install-link() {
	# on ext2 formated sd-card only!
	NANODIR=$PWD/nano2x
	ln -s NANODIR/nano2x /usr/bin/nano2x
	rm nano2x/nano2x.install
	echo "Done."
}

uninstall(){
	rm -rf /usr/share/ncurses/
	rm /usr/bin/arm-gp2x-linux-nano
	rm /usr/bin/nano2x
	"Uninstallation completed."
}

case "$1" in
  install)
	install
	;;
  install-link)
	install-link
	;;
  uninstall)
	uninstall
	;;
  *)
	echo "Usage:"
	echo "./installer.sh [OPTION]"
	echo "Where options are:"
	echo ""
	echo "install:"
	echo "install nano to /usr/bin"
	echo ""
	echo "instal-link:"
	echo "Create a launcher in /usr/bin"
	echo "You then still need to have nano on your sd-card in the *SAME* place it was when you launched 'install'"
	echo ""
	echo "uninstall:"
	echo "uninstall nano from /usr/bin"
	
	exit 1
esac

exit $?
